<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:background="@color/secondary"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="5dp"
        android:orientation="horizontal"
        android:layout_weight="1.0">
        <ImageView
            android:id="@+id/waybill_show_back"
            android:layout_width="32dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:background="@drawable/ic_baseline_chevron_left_24" />
        <TextView
            android:text="运单详情"
            android:layout_gravity="center"
            android:textStyle="bold"
            android:textColor="@color/black"
            android:textSize="18sp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
    </LinearLayout>
    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:padding="8dp"
        android:layout_height="0dp"
        android:layout_weight="15.0">
        <GridLayout
            android:paddingLeft="7dp"
            android:paddingTop="5dp"
            android:background="@color/white"
            android:columnCount="5"
            android:layout_width="match_parent"
            android:orientation="horizontal"
            android:layout_height="wrap_content">
            <LinearLayout
                android:background="@drawable/rx_driver"
                android:layout_row="0"
                android:layout_column="0"
                android:layout_width="match_parent"
                android:layout_marginBottom="8dp"
                android:layout_columnSpan="4">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_baseline_notes_24"/>
                <TextView
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="2dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="基本信息"
                    android:textColor="@color/black"
                    android:textStyle="bold"/>
            </LinearLayout>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="1"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="宝时单号"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="1"
                android:layout_column="1"
                android:id="@+id/waybill_number"
                android:textColor="@color/black"
                android:layout_columnSpan="3"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="2"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="发货时间"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="2"
                android:layout_column="1"
                android:id="@+id/deliver_at"
                android:textColor="@color/black"
                android:layout_columnSpan="3"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="3"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="承运商"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="3"
                android:layout_column="1"
                android:id="@+id/carrier_name"
                android:textColor="@color/black"
                android:layout_columnSpan="3"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="4"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="目的地"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="4"
                android:layout_column="1"
                android:id="@+id/destination"
                android:textColor="@color/black"
                android:layout_columnSpan="3"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="5"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="收货人"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="5"
                android:layout_column="1"
                android:id="@+id/recipient"
                android:textColor="@color/black"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="5"
                android:layout_column="2"
                android:textColor="@color/dark_gray"
                android:text="提货仓"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="5"
                android:layout_column="3"
                android:id="@+id/origination"
                android:textColor="@color/black"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="4dp"
                android:layout_row="6"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="预估重量"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="6"
                android:layout_column="1"
                android:id="@+id/warehouse_weight_other"
                android:textColor="@color/black"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_marginBottom="8dp"
                android:layout_row="6"
                android:layout_column="2"
                android:textColor="@color/dark_gray"
                android:text="预估体积"
                android:layout_columnWeight="1.0" />
            <TextView
                android:layout_height="wrap_content"
                android:layout_width="0dp"
                android:layout_row="6"
                android:layout_column="3"
                android:id="@+id/warehouse_weight"
                android:textColor="@color/black"
                android:layout_columnWeight="2.0"/>
        </GridLayout>
        <GridLayout
            android:layout_marginTop="20dp"
            android:paddingBottom="10dp"
            android:paddingLeft="7dp"
            android:paddingTop="5dp"
            android:background="@color/white"
            android:columnCount="5"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <LinearLayout
                android:background="@drawable/rx_driver"
                android:layout_row="0"
                android:layout_column="0"
                android:layout_width="match_parent"
                android:layout_marginBottom="8dp"
                android:layout_columnSpan="4">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_baseline_edit_24"/>
                <TextView
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="2dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="物流信息"
                    android:textColor="@color/black"
                    android:textStyle="bold"/>
            </LinearLayout>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="1"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="物流单号"
                android:layout_columnWeight="1.0" />
            <EditText
                android:layout_width="0dp"
                android:layout_row="1"
                android:layout_column="1"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:id="@+id/carrier_bill"
                android:textColor="@color/black"
                android:layout_columnSpan="2"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="2"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="查件电话"
                android:layout_columnWeight="1.0" />
            <EditText
                android:layout_width="0dp"
                android:layout_row="2"
                android:layout_column="1"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:id="@+id/inquire_tel"
                android:textColor="@color/black"
                android:layout_columnSpan="2"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="3"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="重量/KG"
                android:layout_columnWeight="1.0" />
            <EditText
                android:layout_width="0dp"
                android:layout_row="3"
                android:layout_column="1"
                android:inputType="numberDecimal"
                android:singleLine="true"
                android:id="@+id/weight"
                android:textColor="@color/black"
                android:layout_columnSpan="2"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="4"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="体积/M³"
                android:layout_columnWeight="1.0" />
            <EditText
                android:layout_width="0dp"
                android:layout_row="4"
                android:layout_column="1"
                android:inputType="numberDecimal"
                android:singleLine="true"
                android:id="@+id/volume"
                android:textColor="@color/black"
                android:layout_columnSpan="2"
                android:layout_columnWeight="2.0"/>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="5"
                android:layout_column="0"
                android:textColor="@color/dark_gray"
                android:text="数量"
                android:layout_columnWeight="1.0" />
            <EditText
                android:layout_width="0dp"
                android:layout_row="5"
                android:layout_column="1"
                android:inputType="number"
                android:singleLine="true"
                android:id="@+id/amount"
                android:textColor="@color/black"
                android:layout_columnSpan="2"
                android:layout_columnWeight="2.0"/>
            <RadioGroup
                android:layout_row="5"
                android:layout_column="3"
                android:layout_gravity="center"
                android:layout_marginEnd="10dp"
                android:id="@+id/amount_unit_name"
                android:orientation="horizontal"
                android:layout_width="wrap_content">
                <RadioButton
                    android:id="@+id/radio_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="10dp"
                    android:text="件"
                    android:layout_gravity="center"/>
                <RadioButton
                    android:id="@+id/radio_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="托"
                    android:layout_gravity="center"/>
            </RadioGroup>
            <TextView
                android:layout_marginBottom="4dp"
                android:layout_row="6"
                android:layout_column="0"
                android:text="附加费"
                android:textColor="@color/dark_gray"
                android:layout_columnWeight="1.0" />
            <EditText
                android:id="@+id/subjoin_fee"
                android:drawableEnd="@drawable/ic_rmb_24"
                android:drawablePadding="2dp"
                android:layout_width="0dp"
                android:layout_row="6"
                android:layout_column="1"
                android:singleLine="true"
                android:textColor="@color/black"
                android:layout_columnWeight="3.0"/>
        </GridLayout>
        <Button
            android:id="@+id/submit"
            android:layout_marginTop="20dp"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/btn_edit"
            android:textColor="@color/white"
            android:text="提   交"/>
    </LinearLayout>
</LinearLayout>